Subject: Re: sunxi: Bluetooth broken since 5.6-rc1

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 31 May 2021 15:41:36 +0100

On Mon, May 31, 2021 at 03:21:54PM +0200, Greg Kroah-Hartman wrote:
> On Sun, May 30, 2021 at 05:34:54PM +0100, Andre Przywara wrote:
> > An obvious easy hack-fix is to just define
> > CONFIG_SERIAL_8250_16550A_VARIANTS, which brings the delays back and
> > seems to avoid the problem for me.
> > Another hack which seems to mitigate the problem is to avoid switching
> > the baudrate to something faster than 115200.
> > 
> > I observed this on a BananaPi-M64 (Allwinner A64 SoC with AP6212 WiFi/BT
> > chip), but others reported the same issue on a NanoPi Air (Allwinner H3
> > with 6212), but also other SoCs and devices (at least one AP6210).
> > 
> > Obviously those workarounds are not real solutions, and I was
> > wondering if anybody has an idea how to properly fix this?
> > What puzzles me is that the delay is happening during the *UART*
> > probe, so before we even start dealing with the Bluetooth device.
> 
> What type of bluetooth device is this, and what does it have to do with
> the serial port?  Is the SoC device using the same IP blocks for both?

Many bluetooth "devices" (I mean the interface from the local machine
to the BT world, not as in remote devices) are connected through a
standard UART. Pictorially, it's:

  CPU <---> UART <---> BT chip <---> Bluetooth RF world

The reporter seems to be saying is that a change to the UART driver now
means that the bluetooth chip wired to that UART no longer functions due
to slightly different initialisation timings of the host UART.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel